import type { _NSArray } from "../Foundation/NSArray.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSString } from "../Foundation/NSString.js";
import type { ASAuthorizationWebBrowserPublicKeyCredentialManagerAuthorizationState } from "./ASAuthorizationWebBrowserPublicKeyCredentialManagerAuthorizationState.js";
export declare class _ASAuthorizationWebBrowserPublicKeyCredentialManager extends _NSObject {
    static alloc(): _ASAuthorizationWebBrowserPublicKeyCredentialManager;
    static new(): _ASAuthorizationWebBrowserPublicKeyCredentialManager;
    static isDeviceConfiguredForPasskeys(): boolean;
    init(): _ASAuthorizationWebBrowserPublicKeyCredentialManager;
    requestAuthorizationForPublicKeyCredentials$(completionHandler: (authorizationState: ASAuthorizationWebBrowserPublicKeyCredentialManagerAuthorizationState) => void): void;
    platformCredentialsForRelyingParty$completionHandler$(relyingParty: _NSString, completionHandler: (arg0: _NSArray) => void): void;
    authorizationStateForPlatformCredentials(): ASAuthorizationWebBrowserPublicKeyCredentialManagerAuthorizationState;
}
